%define name	disksearch
%define version	1.2.1
%define release %mkrel 1

Summary: 	Catalog and search tool for removable media
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		http://prdownloads.sourceforge.net/disksearch/%{name}-%{version}.tar.bz2
URL:		http://disksearch.sourceforge.net/
License:	GPL
Group:		File tools
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
Requires:	pygtk2.0-libglade


%description
DiskSearch is a tool for searching for files on all your removable media disks
(e.g. CD's, ZIP disks or backup tapes). For instance you can search for songs
on your MP3-CD's or for a document on your backup DVD's. For advanced queries
there is a regular expression search mode.  The search is based on a simple
database file which needs to be filled once by adding all your disks to it.

%prep
%setup -q
perl -p -i -e 's|/usr/local|/usr||g' %name

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=DiskSearch
Comment=Search removable media
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-FileTools;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 resource/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 resource/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 resource/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
convert -geometry 16x16 resource/%name.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps/
convert -geometry 32x32 resource/%name.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
convert -geometry 48x48 resource/%name.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
		
%postun
%clean_desktop_database
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root)
%doc docs/*
%{_bindir}/%name
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*-%name.desktop



%changelog
* Fri Aug 07 2009 siamer <siamer@wp.pl> 1.2.1-1pclos2009
- new version 1.2.1

* Wed Jul 25 2007 Texstar <texstar@gmail.com> 1.2.0-1pclos2007
- import into pclos 2007 specfile based on mdv
